pkgname=weechat-notify-send
pkgver=0.10
pkgrel=1
pkgdesc="A WeeChat script that sends highlight and message notifications through notify-send"
url='https://github.com/s3rvac/weechat-notify-send'
arch=('any')
license=('MIT')
depends=(
  'libnotify'
  'python'
  'weechat'
)
source=("${pkgname}_${pkgver}.tar.gz::${url}/archive/v${pkgver}.tar.gz")
sha512sums=('8c52061b52976f9619899288b1d831d5da6d333eaf3c9950f3bde4cce2dc8650517c420d3518597bc04e44a3154a44038a153a59a598d8cae5b2f9c066ca87e8')

package() {
  cd "$srcdir/$pkgname-$pkgver"

  msg2 "Installing the notify_send.py plugin"
  install -Dm644 notify_send.py ${pkgdir}/usr/lib/weechat/python/notify_send.py

  msg2 "Installing license"
  install -Dm644 LICENSE "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"

  msg2 "Since WeeChat does not yet load plugins in the system path, you need"
  msg2 "to load the script from your user path. Use symlnks so that you can"
  msg2 "benefit from package upgrades via pacman."
  msg2 "    $ ln -s /usr/lib/weechat/python/notify_send.py $HOME/.weechat/python/notify_send.py"
}

# vim:set ts=2 sw=2 et:
